[Cluster-devel] conga Makefile autogen.sh clustermon.spec.in.i ...

rmccabe at sourceware.org rmccabe at sourceware.org
Wed Jan 23 04:56:18 UTC 2008


CVSROOT:	/cvs/cluster
Module name:	conga
Branch: 	RHEL5
Changes by:	rmccabe at sourceware.org	2008-01-23 04:56:16

Modified files:
	.              : Makefile autogen.sh clustermon.spec.in.in 
	                 configure conga.spec.in.in download_files 
Added files:
	.              : Plone-2.5.5-CMFPlone.patch 
Removed files:
	.              : Plone-2.5.3-final_CMFPlone.patch 

Log message:
	sync up build scripts and changelogs

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/conga/Plone-2.5.5-CMFPlone.patch.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=NONE&r2=1.1.2.1
http://sourceware.org/cgi-bin/cvsweb.cgi/conga/Makefile.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=1.11.2.2&r2=1.11.2.3
http://sourceware.org/cgi-bin/cvsweb.cgi/conga/autogen.sh.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=1.5&r2=1.5.2.1
http://sourceware.org/cgi-bin/cvsweb.cgi/conga/clustermon.spec.in.in.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=1.18.2.29&r2=1.18.2.30
http://sourceware.org/cgi-bin/cvsweb.cgi/conga/configure.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=1.4&r2=1.4.2.1
http://sourceware.org/cgi-bin/cvsweb.cgi/conga/conga.spec.in.in.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=1.45.2.61&r2=1.45.2.62
http://sourceware.org/cgi-bin/cvsweb.cgi/conga/download_files.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=1.3.2.3&r2=1.3.2.4
http://sourceware.org/cgi-bin/cvsweb.cgi/conga/Plone-2.5.3-final_CMFPlone.patch.diff?cvsroot=cluster&only_with_tag=RHEL5&r1=1.1.4.1&r2=NONE

/cvs/cluster/conga/Plone-2.5.5-CMFPlone.patch,v  -->  standard output
revision 1.1.2.1
--- conga/Plone-2.5.5-CMFPlone.patch
+++ -	2008-01-23 04:56:17.043893000 +0000
@@ -0,0 +1,111 @@
+diff -ur Plone-2.5.5.orig/CMFPlone/exportimport/configure.zcml Plone-2.5.5/CMFPlone/exportimport/configure.zcml
+--- Plone-2.5.5.orig/CMFPlone/exportimport/configure.zcml	2007-12-04 22:33:37.000000000 -0500
++++ Plone-2.5.5/CMFPlone/exportimport/configure.zcml	2008-01-17 13:15:43.000000000 -0500
+@@ -32,12 +32,6 @@
+      />
+ 
+   <adapter
+-     factory="Products.CMFCore.exportimport.content.StructureFolderWalkingAdapter"
+-     provides="Products.GenericSetup.interfaces.IFilesystemImporter"
+-     for="Products.ATContentTypes.interface.IATContentType"
+-     />
+-
+-  <adapter
+      factory=".propertiestool.SimpleItemWithPropertiesXMLAdapter"
+      provides="Products.GenericSetup.interfaces.IBody"
+      for="Products.CMFCore.interfaces.IMemberDataTool
+@@ -51,19 +45,6 @@
+           Products.GenericSetup.interfaces.ISetupEnviron"
+      />
+ 
+-  <!-- Mark ATCT objects as IDAVAware so CMFSetup can export/import them -->
+-  <five:implements
+-     class="Products.ATContentTypes.content.document.ATDocument"
+-     interface="Products.GenericSetup.interfaces.IDAVAware"
+-     />
+-
+-  <!-- XXX: Temporarily disable ATTopic exporting until we have an
+-       actual exporter or Marshaller -->
+-  <five:implements
+-     class="Products.ATContentTypes.content.topic.ATTopic"
+-     interface="Products.CMFPlone.exportimport.content.IDisabledExport"
+-     />
+-
+   <adapter
+      factory=".content.NullExporterAdapter"
+      provides="Products.GenericSetup.interfaces.IFilesystemExporter"
+diff -ur Plone-2.5.5.orig/CMFPlone/MembershipTool.py Plone-2.5.5/CMFPlone/MembershipTool.py
+--- Plone-2.5.5.orig/CMFPlone/MembershipTool.py	2007-12-04 22:33:37.000000000 -0500
++++ Plone-2.5.5/CMFPlone/MembershipTool.py	2008-01-17 13:15:43.000000000 -0500
+@@ -1,4 +1,3 @@
+-import PIL
+ from cStringIO import StringIO
+ from DateTime import DateTime
+ from Products.CMFCore.utils import getToolByName, _checkPermission
+@@ -589,6 +588,7 @@
+             if portrait_data == '':
+                 continue
+             try:
++                import PIL
+                 img = PIL.Image.open(StringIO(portrait_data))
+             except ConflictError:
+                 pass
+diff -ur Plone-2.5.5.orig/CMFPlone/setup/dependencies.py Plone-2.5.5/CMFPlone/setup/dependencies.py
+--- Plone-2.5.5.orig/CMFPlone/setup/dependencies.py	2007-12-04 22:33:37.000000000 -0500
++++ Plone-2.5.5/CMFPlone/setup/dependencies.py	2008-01-17 13:16:49.000000000 -0500
+@@ -107,7 +107,8 @@
+ except ImportError:
+     log(("PIL not found. Plone needs PIL 1.1.5 or newer. "
+          "Please download it from http://www.pythonware.com/products/pil/ or "
+-         "http://effbot.org/downloads/#Imaging"))
++         "http://effbot.org/downloads/#Imaging"),
++         severity=logging.INFO, optional=1)
+     raise ImportError, 'PIL is required'
+ 
+ try:
+diff -ur Plone-2.5.5.orig/CMFPlone/utils.py Plone-2.5.5/CMFPlone/utils.py
+--- Plone-2.5.5.orig/CMFPlone/utils.py	2007-12-04 22:33:38.000000000 -0500
++++ Plone-2.5.5/CMFPlone/utils.py	2008-01-17 13:15:43.000000000 -0500
+@@ -3,8 +3,6 @@
+ from os.path import join, abspath, split
+ from cStringIO import StringIO
+ 
+-from PIL import Image
+-
+ import zope.interface
+ from zope.interface import implementedBy
+ from zope.component import getMultiAdapter
+@@ -41,15 +39,6 @@
+ DANGEROUS_CHARS_REGEX = re.compile(r"[?&/:\\#]+")
+ EXTRA_DASHES_REGEX = re.compile(r"(^\-+)|(\-+$)")
+ 
+-# Settings for member image resize quality
+-PIL_SCALING_ALGO = Image.ANTIALIAS
+-PIL_QUALITY = 88
+-MEMBER_IMAGE_SCALE = (75, 100)
+-IMAGE_SCALE_PARAMS = {'scale': MEMBER_IMAGE_SCALE,
+-                      'quality': PIL_QUALITY,
+-                      'algorithm': PIL_SCALING_ALGO,
+-                      'default_format': 'PNG'}
+-
+ _marker = []
+ 
+ class BrowserView(BaseView):
+@@ -632,6 +621,17 @@
+     return security
+ 
+ def scale_image(image_file, max_size=None, default_format=None):
++    from PIL import Image
++
++    # Settings for member image resize quality
++    PIL_SCALING_ALGO = Image.ANTIALIAS
++    PIL_QUALITY = 88
++    MEMBER_IMAGE_SCALE = (75, 100)
++    IMAGE_SCALE_PARAMS = {'scale': MEMBER_IMAGE_SCALE,
++                          'quality': PIL_QUALITY,
++                          'algorithm': PIL_SCALING_ALGO,
++                          'default_format': 'PNG'}
++
+     """Scales an image down to at most max_size preserving aspect ratio
+     from an input file
+ 
--- conga/Makefile	2007/03/06 11:52:11	1.11.2.2
+++ conga/Makefile	2008/01/23 04:56:16	1.11.2.3
@@ -1,25 +1,22 @@
-################################################################################################################################################################
+################################################################################
 ##
-##  Copyright (C) 2005 Red Hat, Inc.  All rights reserved.
+## Copyright (C) 2005-2008 Red Hat, Inc. All rights reserved.
 ##
-##  This copyrighted material is made available to anyone wishing to use,
-##  modify, copy, or redistribute it subject to the terms and conditions
-##  of the GNU General Public License v.2.
+## This copyrighted material is made available to anyone wishing to use,
+## modify, copy, or redistribute it subject to the terms and conditions
+## of the GNU General Public License v.2.
 ##
-##############################################################################################################################################################
-
+################################################################################
 
 include make/version.in
 
 TMP_DIR=..
 CONGA_DIRNAME=conga-${VERSION}
 CLUSTERMON_DIRNAME=clustermon-${VERSION}
-
 DISTRO ?= el5
 
 .PHONY: conga ricci luci clustermon
 
-
 all: conga clustermon
 	echo "Run 'make install' to install conga and clustermon"
 
@@ -27,54 +24,49 @@
 	echo "Run 'make install_conga' to install conga"
 
 ricci:
-	make -C ricci ricci
+	${MAKE} -C ricci ricci
 
 luci:
-	make -C luci
+	${MAKE} -C luci
 
 clustermon:
-	make -C ricci clustermon
+	${MAKE} -C ricci clustermon
 	echo "Run 'make install_clustermon' to install modcluster, cluster-cim and cluster-snmp"
 
-
 install: install_conga install_clustermon
 
-install_conga: install_ricci install_luci 
+install_conga: install_ricci install_luci
 
 install_ricci:
-	make -C ricci install_ricci
+	${MAKE} -C ricci install_ricci
 
 install_luci:
-	make -C luci install
-
-install_clustermon: 
-	make -C ricci install_clustermon
+	${MAKE} -C luci install
 
+install_clustermon:
+	${MAKE} -C ricci install_clustermon
 
 clean: clean_ricci clean_luci clean_clustermon
 
 clean_ricci:
-	make -C ricci clean
+	${MAKE} -C ricci clean
 
 clean_luci:
-	make -C luci clean
+	${MAKE} -C luci clean
 
 clean_clustermon:
-	make -C ricci clean_clustermon
+	${MAKE} -C ricci clean_clustermon
 
-
-distclean: 
-	make -C ricci distclean
-	make -C luci distclean
+distclean:
+	${MAKE} -C ricci distclean
+	${MAKE} -C luci distclean
 	rm -f conga.spec conga.spec.in
-	rm -f conga*.tar.gz conga*.src.rpm 
+	rm -f conga*.tar.gz conga*.src.rpm
 	rm -f clustermon.spec clustermon.spec.in
 	rm -f clustermon*.tar.gz clustermon*.src.rpm
 
-
 rebuild: clean all
 
-
 srpms: conga_srpm clustermon_srpm
 
 conga_srpm: clean
@@ -123,4 +115,3 @@
 	else \
 		rpmbuild --rebuild ${CLUSTERMON_DIRNAME}-${RELEASE}.src.rpm ; \
 	fi
-
--- conga/autogen.sh	2006/08/16 03:08:43	1.5
+++ conga/autogen.sh	2008/01/23 04:56:16	1.5.2.1
@@ -9,104 +9,100 @@
 INCLUDE_ZOPE_PLONE=""
 for arg in $@
 do
-  if [ "$arg" = "--include_zope_and_plone=yes" ] ; then
-      INCLUDE_ZOPE_PLONE="yes"
-  fi
-  if [ "$arg" = "--include_zope_and_plone=no" ] ; then
-      INCLUDE_ZOPE_PLONE="no"
-  fi
+	if [ "$arg" = "--include_zope_and_plone=yes" ] ; then
+		INCLUDE_ZOPE_PLONE="yes"
+	fi
+
+	if [ "$arg" = "--include_zope_and_plone=no" ] ; then
+		INCLUDE_ZOPE_PLONE="no"
+	fi
 done
+
 if [ "$INCLUDE_ZOPE_PLONE" = "" ] ; then
-    echo 'please define "include_zope_and_plone" as yes or no'
-    echo "(zope and plone are not used if building clustermon only)"
-    echo "    eg: $0 --include_zope_and_plone=yes" 
-    exit 1
+	echo 'please define "include_zope_and_plone" as yes or no'
+	echo "(zope and plone are not used if building clustermon only)"
+	echo " eg: $0 --include_zope_and_plone=yes" 
+	exit 1
 fi
 
-
-
-
 get_and_verify_archive()
 {
-    NAME=$1
-    MD5SUM=$2
-    shift 2
-    URLs=$@
-    
-    if [ ! -e $NAME ] ; then
-	echo ; echo "$NAME not present, download it"
-	done="false"
-	for url in $URLs
-	do
-	  if [ "$done" = "false" ] ; then
-	      echo "Downloading $NAME from $url"
-	      wget $url
-	      if [ "$?" = "0" ] ; then
-		  echo "$MD5SUM  $NAME" | /usr/bin/md5sum --check --status >/dev/null 2>/dev/null
-		  if [ "$?" = "0" ] ; then
-		      echo "$NAME passed md5sum test"
-		      done="true"
-		  else
-		      echo "$NAME failed md5sum test"
-		      rm -f $NAME
-		      echo "Trying next mirror in the list..."
-		  fi
-	      else
-		  rm -f $NAME
-		  echo "Trying next mirror in the list..."
-	      fi
-	  fi
-	done
-	if [ "$done" = "false" ] ; then
-	    echo "No more mirrors to download $NAME from. exiting..."
-	    exit 5
-	fi
-    else
-	echo "$MD5SUM  $NAME" | /usr/bin/md5sum --check --status >/dev/null 2>/dev/null
-	if [ "$?" = "0" ] ; then
-	    echo "$NAME passed md5sum test"
+	NAME=$1
+	SHA512SUM=$2
+	shift 2
+	URLs=$@
+
+	if [ ! -e $NAME ] ; then
+		echo ; echo "$NAME not present, download it"
+		done="false"
+		for url in $URLs
+		do
+			if [ "$done" = "false" ] ; then
+				echo "Downloading $NAME from $url"
+				wget $url
+				if [ "$?" = "0" ] ; then
+					echo "$SHA512SUM  $NAME" | /usr/bin/sha512sum --check --status >/dev/null 2>/dev/null
+					if [ "$?" = "0" ] ; then
+						echo "$NAME passed sha512sum test"
+						done="true"
+					else
+						echo "$NAME failed sha512sum test"
+						rm -f $NAME
+						echo "Trying next mirror in the list..."
+					fi
+				else
+					rm -f $NAME
+					echo "Trying next mirror in the list..."
+				fi
+			fi
+		done
+
+		if [ "$done" = "false" ] ; then
+			echo "No more mirrors to download $NAME from. exiting..."
+			exit 5
+		fi
 	else
-	    echo "$NAME failed md5sum test; remove it and try again"
-	    exit 6
+		echo "$SHA512SUM  $NAME" | /usr/bin/sha512sum --check --status >/dev/null 2>/dev/null
+		if [ "$?" = "0" ] ; then
+			echo "$NAME passed sha512sum test"
+		else
+			echo "$NAME failed sha512sum test; remove it and try again"
+			exit 6
+		fi
 	fi
-    fi
 }
 
 if [ "$INCLUDE_ZOPE_PLONE" = "yes" ] ; then
-    get_and_verify_archive \
+	get_and_verify_archive \
 	$ZOPE_ARCHIVE_TAR \
-	$ZOPE_MD5SUM \
+	$ZOPE_SHA512SUM \
 	$ZOPE_URLs
-    get_and_verify_archive \
+	get_and_verify_archive \
 	$PLONE_ARCHIVE_TAR \
-	$PLONE_MD5SUM \
+	$PLONE_SHA512SUM \
 	$PLONE_URLs
 fi
 
-
-
 . make/version.in
 
 cat conga.spec.in.in \
-    | sed -e s/@@VERS@@/$VERSION/g \
-    | sed -e s/@@REL@@/$RELEASE/g \
-    | sed -e s/@@INCLUDE_ZOPE_AND_PLONE@@/$INCLUDE_ZOPE_PLONE/g \
-    | sed -e s/@@ZOPE_ARCHIVE@@/$ZOPE_ARCHIVE/g \
-    | sed -e s/@@ZOPE_ARCHIVE_TAR@@/$ZOPE_ARCHIVE_TAR/g \
-    | sed -e s/@@PLONE_ARCHIVE@@/$PLONE_ARCHIVE/g \
-    | sed -e s/@@PLONE_ARCHIVE_TAR@@/$PLONE_ARCHIVE_TAR/g \
-    > conga.spec
+	| sed -e s/@@VERS@@/$VERSION/g \
+	| sed -e s/@@REL@@/$RELEASE/g \
+	| sed -e s/@@INCLUDE_ZOPE_AND_PLONE@@/$INCLUDE_ZOPE_PLONE/g \
+	| sed -e s/@@ZOPE_ARCHIVE@@/$ZOPE_ARCHIVE/g \
+	| sed -e s/@@ZOPE_ARCHIVE_TAR@@/$ZOPE_ARCHIVE_TAR/g \
+	| sed -e s/@@PLONE_ARCHIVE@@/$PLONE_ARCHIVE/g \
+	| sed -e s/@@PLONE_ARCHIVE_TAR@@/$PLONE_ARCHIVE_TAR/g \
+	> conga.spec
 
 cat clustermon.spec.in.in \
-    | sed -e s/@@VERS@@/$VERSION/g \
-    | sed -e s/@@REL@@/$RELEASE/g \
-    > clustermon.spec
-
+	| sed -e s/@@VERS@@/$VERSION/g \
+	| sed -e s/@@REL@@/$RELEASE/g \
+	> clustermon.spec
 
 cd ricci ; ./autogen.sh $@ ; cd ..
 cd luci ; ./autogen.sh $@ ; cd ..
 
-
 echo ""
 echo "Run \`./configure\` to configure conga build,"
 echo "or \`make srpms\` to build conga and clustermon srpms"
--- conga/clustermon.spec.in.in	2008/01/21 23:21:47	1.18.2.29
+++ conga/clustermon.spec.in.in	2008/01/23 04:56:16	1.18.2.30
@@ -282,5 +282,5 @@
 - Don't auto-start modclusterd after installation, do it manually
 
 * Wed Aug 09 2006 Stanko Kupcevic <kupcevic at redhat.com> 0.8-11
-- Spinoff: separate clustermon.srpm (modcluster, cluster-snmp and
+- Spinoff: separate clustermon.srpm (modcluster, cluster-snmp and 
   cluster-cim) from conga.srpm
--- conga/configure	2006/08/09 20:53:21	1.4
+++ conga/configure	2008/01/23 04:56:16	1.4.2.1
@@ -5,17 +5,16 @@
 
 cd ricci ; ./configure $@ ; ret=$? ; cd ..
 if [ "$ret" != "0" ]; then
-    exit 1
+	exit 1
 fi
 
 cd luci ; ./configure $@ ; ret=$? ; cd ..
 if [ "$ret" != "0" ]; then
-    exit 2
+	exit 2
 fi
 
 echo "Run 'make' to compile conga and clustermon"
 echo "Run 'make conga' to compile conga"
 echo "Run 'make clustermon' to compile clustermon"
 
-
 exit 0
--- conga/conga.spec.in.in	2007/10/03 02:16:06	1.45.2.61
+++ conga/conga.spec.in.in	2008/01/23 04:56:16	1.45.2.62
@@ -1,22 +1,18 @@
 ###############################################################################
-###############################################################################
-##
-##  Copyright (C) 2006-2007 Red Hat, Inc.  All rights reserved.
-##
-##  This copyrighted material is made available to anyone wishing to use,
-##  modify, copy, or redistribute it subject to the terms and conditions
-##  of the GNU General Public License v.2.
-##
-###############################################################################
+#
+# Copyright (C) 2006-2008 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing to use,
+# modify, copy, or redistribute it subject to the terms and conditions
+# of the GNU General Public License version 2.
+#
 ###############################################################################
 
 
 %define include_zope_and_plone	@@INCLUDE_ZOPE_AND_PLONE@@
 
 
-
-############  SRPM  ###################
-
+############ SRPM ###################
 
 Name: conga
 Version: @@VERS@@
@@ -31,24 +27,21 @@
 %if "%{include_zope_and_plone}" == "yes"
 Source1: @@ZOPE_ARCHIVE_TAR@@
 Source2: @@PLONE_ARCHIVE_TAR@@
-Patch2: Plone-2.5.3-final_CMFPlone.patch
+Patch2: Plone-2.5.5-CMFPlone.patch
 %endif
 Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
-
 BuildRequires: python-devel >= 2.4.1
 BuildRequires: glibc-devel gcc-c++ libxml2-devel sed
 BuildRequires: cman-devel
 BuildRequires: cyrus-sasl-devel >= 2.1
 BuildRequires: openssl-devel dbus-devel pkgconfig file
 
-
 %description
 Conga is a project developing management system for remote stations.
 It consists of luci, https frontend, and ricci, secure daemon that dispatches
 incoming messages to underlying management modules.
 
-
 %prep
 %setup -q
 %if "%{include_zope_and_plone}" == "yes"
@@ -77,13 +70,7 @@
 rm -rf $RPM_BUILD_ROOT
 
 
-
-
-
-
-
-#######  luci  #######
-
+####### luci #######
 
 %package -n luci
 
@@ -108,14 +95,12 @@
 Requires(post): chkconfig initscripts
 Requires(preun): chkconfig initscripts
 
-
 %description -n luci
 Conga is a project developing management system for remote stations.
 It consists of luci, https frontend, and ricci, secure daemon that
 dispatches incoming messages to underlying management modules.
 
-This package contains Luci website.
-
+This package contains the luci server.
 
 %files -n luci
 %verify(not size md5 mtime) /var/lib/luci/var/Data.fs
@@ -134,12 +119,12 @@
 %endif
 
 %pre -n luci
-grep ^luci\:x /etc/group >&/dev/null
-if [ $? -ne 0 ]; then 
+groupmod luci >&/dev/null
+if [ $? -eq 6 ]; then 
 	/usr/sbin/groupadd -r -f luci >&/dev/null
 fi
 
-grep ^luci\:x /etc/passwd >&/dev/null
+id luci >&/dev/null
 if [ $? -ne 0 ]; then
 	/usr/sbin/useradd -r -M -s /sbin/nologin -d /var/lib/luci -g luci luci >&/dev/null
 fi
@@ -155,7 +140,7 @@
 	fi
 	/usr/sbin/luci_admin backup >&/dev/null
 	if [ $LUCI_RUNNING -eq 0 ]; then
-		/sbin/service luci start >& /dev/null
+		/sbin/service luci start >&/dev/null
 	fi
 fi
 exit 0
@@ -202,10 +187,8 @@
 exit 0
 
 
-
 ### ricci daemon & basic modules ###
 
-
 %package -n ricci
 
 Group: System Environment/Base
@@ -228,7 +211,6 @@
 
 # modlog
 
-
 Requires(pre): grep shadow-utils
 Requires(post): chkconfig initscripts util-linux
 Requires(preun): chkconfig initscripts
@@ -242,7 +224,6 @@
 This package contains listening daemon (dispatcher), as well as
 reboot, rpm, storage, service and log management modules.
 
-
 %files -n ricci
 %defattr(-,root,root)
 # ricci
@@ -310,6 +291,33 @@
 
 ###  changelog ###
 %changelog
+* Tue Jan 22 2007 Ryan McCabe <rmccabe at redhat.com> 0.12.0-0
+- Fixed bz230462 (RFE: Only reboot installation target machines when needed)
+- Fixed bz238655 (conga does not set the "nodename" attribute for manual fencing)
+- Fixed bz239387 (RFE: add timeouts for actions that can leave cluster unreachable)
+- Fixed bz249097 (allow a space as a valid password char)
+- Fixed bz249619 (luci "Manage Systems and Clusters" display of clusters and storage systems is cascaded)
+- Fixed bz252348 (RFE: should only have to enter a system's password once)
+- Fixed bz253223 (When deleting a node from conga, the fence device isn't deleted)
+- Fixed bz253720 ("trust" box shouldn't be an option if it is required)
+- Fixed bz253727 (RFE: graphical view should be default in partiton tables view)
+- Fixed bz253842 (luci ignores File System Resource Configuration)
+- Fixed bz253879 (RFE: drop the link/details column in the resource section table)
+- Fixed bz264161 (RFE: support setting the "__independent_subtree" attribute on cluster resources)
+- Fixed bz277661 (RFE: Better instructions on the luci login page if luci_admin not run.)
+- Fixed bz277711 (RFE: luci_admin should check that luci is running before asking for the password)
+- Fixed bz295771 (RFE: add ability to set self_fence attribute for clusterfs resources)
+- Fixed bz301411 (conga shouldn't turn on init scripts if the user turned them off)
+- Fixed bz303661 (Browser support to encompass Internet Explorer on Windows Vista and XP)
+- Fixed bz304891 (Browser support to encompass Firefox on Windows Vista and XP.)
+- Fixed bz315631 (conga doesn't handle the cluster restart operation properly)
+- Fixed bz317261 (Check for dual power fencing fails when adding new fence instances)
+- Fixed bz320411 (conga should use the node name in cluster.conf and not FQDN for fencing)
+- Fixed bz337041 (Add option to not fail-back service)
+- Fixed bz340111 (Storage redirection after probe does not work on WinXP with FF2)
+- Fixed bz379461 (Conga doesn't have the option for modulename for drac fencing)
+- Fixed bz383071 (Virtual machine configuration - add field for "migration type" xml attr = "migrate")
+
 * Tue Oct 02 2007 Ryan McCabe <rmccabe at redhat.com> 0.10.1-1
 * Fix regression of bz249097
 
--- conga/download_files	2007/06/18 18:39:31	1.3.2.3
+++ conga/download_files	2008/01/23 04:56:16	1.3.2.4
@@ -1,16 +1,12 @@
 # define archive info for Zope and Plone
 # URLs is a space delimited list of urls to download from
 
-ZOPE_ARCHIVE=Zope-2.9.7-final
-ZOPE_ARCHIVE_TAR=Zope-2.9.7-final.tgz
-ZOPE_MD5SUM=f7d900c00fe95d4cce0bc5854bc842b4
-ZOPE_URLs="http://www.zope.org/Products/Zope/2.9.7/Zope-2.9.7-final.tgz"
+ZOPE_ARCHIVE=Zope-2.9.8-final
+ZOPE_ARCHIVE_TAR=Zope-2.9.8-final.tgz
+ZOPE_SHA512SUM=8fb9cf2e29ad6ee262ee397534ef4501b9521db49cdb33e9edc1d502ed2ee071ceef8efbc8e5216dd5e0176d33a6c56e38bc2645761b2f7f93249aa68f82f541
+ZOPE_URLs="http://www.zope.org/Products/Zope/2.9.8/Zope-2.9.8-final.tgz"
 
-
-PLONE_ARCHIVE=Plone-2.5.3-final
-PLONE_ARCHIVE_TAR=Plone-2.5.3-final.tar.gz
-PLONE_MD5SUM=36117b0757982d66d445b6c6b9df0e25
-PLONE_URLs="http://plone.googlecode.com/files/Plone-2.5.3-final.tar.gz \
-	http://superb-west.dl.sourceforge.net/sourceforge/plone/Plone-2.5.3-final.tar.gz \
-	http://superb-east.dl.sourceforge.net/sourceforge/plone/Plone-2.5.3-final.tar.gz \
-	http://easynews.dl.sourceforge.net/sourceforge/plone/Plone-2.5.3-final.tar.gz"
+PLONE_ARCHIVE=Plone-2.5.5
+PLONE_ARCHIVE_TAR=Plone-2.5.5.tar.gz
+PLONE_SHA512SUM=6997f9d0e21d683f2c6c9f9cb3ded41fa7fce84706e98aa534d2b5638051bf694503c9623866c50ce5d3ef27da54a720209fb79d656dfedd97b439c94055b28e
+PLONE_URLs="https://launchpad.net/plone/2.5/2.5.5/+download/Plone-2.5.5.tar.gz"




More information about the Cluster-devel mailing list